Package com.sas.lsaf.workflow.processflow.setup

## Class JobTaskSetup

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.setup.ElementSetup
  - - com.sas.lsaf.workflow.processflow.setup.TaskSetup
    - - com.sas.lsaf.workflow.processflow.setup.JobTaskSetup

- All Implemented Interfaces:
    `java.io.Serializable`

      public class JobTaskSetup
      extends TaskSetup

  The class that represents the setup information for the job task elements in a process flow.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `description, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobTaskSetup​(java.lang.String name, java.lang.String description, java.lang.String elementId, Element.ElementType type, java.lang.String processFlowIdentifier)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getJobPath()` | Gets the full path of the job.
    `java.lang.String` | `getJobVersion()` | Gets the version of the job.
    `java.util.List<ParameterValue>` | `getParameterValues()` | Get the parameter values that override the default parameter values in the job.
    `int` | `hashCode()` |
    `void` | `setJobPath​(java.lang.String jobPath)` | Sets the full path of the job.
    `void` | `setJobVersion​(java.lang.String jobVersion)` | Sets the version of the job.
    `void` | `setParameterValues​(java.util.List<ParameterValue> parameterValues)` | Sets the parameter values that override the default parameter values in the job.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.workflow.processflow.setup.TaskSetup

      `getAttributes, setAttributes, setDescription, setName`

    - ### Methods inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `getDescription, getElementId, getName, getProcessFlowIdentifier, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobTaskSetup

          public JobTaskSetup​(java.lang.String name,
                              java.lang.String description,
                              java.lang.String elementId,
                              Element.ElementType type,
                              java.lang.String processFlowIdentifier)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the elements returned by the API.
      Parameters:
        `name` - The name of the element.
        `description` - The description of the element.
        `elementId` - The identifier of the element as it appears in the process flow definition.
        `type` - The type of the element.
        `processFlowIdentifier` - The identifier of the process flow that contains the element.

  - ### Method Detail

    - #### getJobPath

          public java.lang.String getJobPath()

      Gets the full path of the job.
      Returns:
        The full path.

    - #### setJobPath

          public void setJobPath​(java.lang.String jobPath)

      Sets the full path of the job.
      Parameters:
        `jobPath` - The full path.

    - #### getJobVersion

          public java.lang.String getJobVersion()

      Gets the version of the job.
      Returns:
        The version.

    - #### setJobVersion

          public void setJobVersion​(java.lang.String jobVersion)

      Sets the version of the job. If null is specified, the latest version is used.
      Parameters:
        `jobVersion` - The version.

    - #### getParameterValues

          public java.util.List<ParameterValue> getParameterValues()

      Get the parameter values that override the default parameter values in the job.
      Returns:
        The parameter values.

    - #### setParameterValues

          public void setParameterValues​(java.util.List<ParameterValue> parameterValues)

      Sets the parameter values that override the default parameter values in the job.
      Parameters:
        `parameterValues` - The parameter values that override the default parameter values in the job.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `TaskSetup`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `TaskSetup`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `TaskSetup`